#!/bin/env python3
"""
Usage: on_monitors_changed.py [--run-at-init] <command>
"""

import argparse
import os
import subprocess

parser = argparse.ArgumentParser()
parser.add_argument("-r", "--run-at-init", action="store_true")
parser.add_argument("-d", "--debug", action="store_true")
parser.add_argument("command")
parser.add_argument("events", nargs="+")
args = parser.parse_args()

if args.run_at_init:
    os.system(args.command)

hypr_instance = os.environ["HYPRLAND_INSTANCE_SIGNATURE"]
p = subprocess.Popen(
    ["socat", "-U", "-", f"UNIX-CONNECT:/tmp/hypr/{hypr_instance}/.socket2.sock"],
    text=True,
    stdout=subprocess.PIPE,
)
try:
    assert p.stdout
    while s := p.stdout.readline():
        event, event_args = s.strip().split(">>")
        if args.debug:
            print(f"Received event: {event}({event_args})")
        if event in args.events:
            if args.debug:
                print(f"Running {args.command}")
            os.system(args.command)
finally:
    p.kill()
    p.wait()
