#!/bin/env python3

# Maps the tablet to the current focused monitor
# using hyprctl (not working currently..)

import json
import subprocess
import sys

if len(sys.argv) != 2:
    print("Supply the tablet name as first argument! (Eg. wacom-intuos-s-pen)")
    exit(1)

tablet = sys.argv[1]


def map_to_focus():
    monitors = subprocess.check_output(["hyprctl", "-j", "monitors"])
    monitors = json.loads(monitors)
    try:
        monitor = next(iter([x for x in monitors if x["focused"]]))
    except StopIteration:
        return

    mon = monitor["name"]
    print(f"{tablet} {mon}")
    subprocess.check_call(
        f"hyprctl keyword device:{tablet}:output {mon}".split(),
        stdout=subprocess.DEVNULL,
    )
